Tag Archives: server database version

ORA-39700: database must be opened with upgrade option

Hello,
After restore database another server appear this error, because on older server database version was 11.2.0.1.0 and on new server database version is 11.2.0.3.0, therefore we need:
1) open with upgrade option
2) upgrade database – it means run script $ORACLE_HOME/rdbms/admin/catupgrd.sql
3) shutdown clearly and startup
4) run script $ORACLE_HOME/rdbms/admin/utlrp.sql – for recompile all invalid PL/SQL packages

sqlplus / as sysdba
SQL> startup upgrade;
SQL> @/u01/app/oracle/product/11.2.0/db_home1/rdbms/admin/catupgrd.sql;
SQL> shutdown immediate;
SQL> startup;
SQL> @/u01/app/oracle/product/11.2.0/db_home1/rdbms/admin/utlrp.sql

that’s all